Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#2576 Le 26/06/2019, à 16:51

Bob dit l'Âne

Re : Script d'installation pour imprimantes Brother

Bonjour,
Ca m'est arrivé dernièrement
Sur la doc :
https://doc.ubuntu-fr.org/imprimantes_brother
paragraphe 3.3, on peut lire :
"Sur Ubuntu 18.04 LTS, pour que le scanner soit reconnu, en USB ou en réseau, il faut également installer les paquets suivants: libusb-0.1-4 et libusb-0.1-4:i386"
Donc je pense qu'il faut vérifier que ces paquets sont bien installés (facile à voir avec synaptic)
smile


DELL G3 17 3779 - 17,3" FHD IPS - Core i5 8300H - RAM 8Go - 1To+128Go SSD - NVIDIA GTX 1050 Ti 4 Go
Ubuntu 18.04.2 LTS («Bionic Beaver »)
Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 16.04 LTS (« Xenial Xerus »)

Hors ligne

#2577 Le 26/06/2019, à 16:54

jibel

Re : Script d'installation pour imprimantes Brother

Rit a écrit :

J'ai lancé xsane aucun périphérique, voilà sa réponse.

Effectivement , je ne savais pas que le tuto de demonipuch a été comment dire ?"modifié" en voyant cela , j'ai moi-même tenté cette installe de ma brother MFC7460DN
Il n'y a presque plus rien du tuto de demonipuch, sauf les conseils ! Puis se rendre chez brother donner son modèle et télécharger les paquets cups et wrapper  et scanner etc ou QQchose comme ça? les paquets de brother apparemment, ne sont plus dans "synaptic" ou je me trompe ?? Dommage de mon erreur sur ton post wink

Dernière modification par jibel (Le 26/06/2019, à 18:03)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#2578 Le 26/06/2019, à 18:32

Rit

Re : Script d'installation pour imprimantes Brother

pour répondre à Bob dit l'âne, j'ai bien ces deux paquets

Hors ligne

#2579 Le 26/06/2019, à 18:34

Rit

Re : Script d'installation pour imprimantes Brother

jibel a écrit :
Rit a écrit :

J'ai lancé xsane aucun périphérique, voilà sa réponse.

Effectivement , je ne savais pas que le tuto de demonipuch a été comment dire ?"modifié" en voyant cela , j'ai moi-même tenté cette installe de ma brother MFC7460DN
Il n'y a presque plus rien du tuto de demonipuch, sauf les conseils ! Puis se rendre chez brother donner son modèle et télécharger les paquets cups et wrapper  et scanner etc ou QQchose comme ça? les paquets de brother apparemment, ne sont plus dans "synaptic" ou je me trompe ?? Dommage de mon erreur sur ton post wink


J'ai effectué l'install à la main si on peut dire mais sans plus de réussite.

Hors ligne

#2580 Le 26/06/2019, à 19:07

jibel

Re : Script d'installation pour imprimantes Brother

L’idéal serait de se rendre chez brother S.A.V. de nommer son modèle, la il faut installer le driver install tool et les paquets fournis par Brother que ce soit en France ou ailleurs?
smile smile
1561570495.png
Apparemment en suivant le tuto de demonipuch  pour ,installer  ma printer ,j'y suis arrivé ensuite j'ai lancé xsane pour savoir ce qui a été  installé de ma brother MFC7460DN et qui devrait fonctionner ?  j'ai eu du bol  cool

Dernière modification par jibel (Le 27/06/2019, à 14:03)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#2581 Le 27/06/2019, à 11:26

Rit

Re : Script d'installation pour imprimantes Brother

Merci pour ces réponses.
Je vais suivre ce dernier conseil et on verra bien.
Encore merci à tous pour vos réponses.

Hors ligne

#2582 Le 18/07/2019, à 11:01

virgere

Re : Script d'installation pour imprimantes Brother

Bonjour

Je viens de passer à Kubuntu (j'étais sur Mint KDE, je regrette mon ancien desktop, mais ce n'est pas le sujet ^^)
Je dois donc réinstaller mon imprimante multifonctions Brother (qui marchait sous Mint, mais j'avais déjà galéré à l'époque, il y a 4 ou 5 ans). J'ai suivi le script de Demonipuch, mais mon scanner ne fonctionne pas :
-l'imprimante me dit "verif connexion" (alors que la fonction imprimante, donc ordi vers imprimante, fonctionne très bien et que l'adresse IP est fixe et correcte)
- et quand la connexion fonctionne, c'est Gimp qui refuse d'ouvrir mes fichiers (ceci dit, la connexion ne re-fonctionne plus "verif connexion")

Du coup, en désespoir de cause, et parce que j'avais laissé l'imrpimante allumée pendant l'installation, me suis dit que j'allais tout effacer et tout recommencer. Sauf que le fichier Demonipuch téléchargé (et placer dans mon dossier perso) est indestructible : "accès refusé"

Quelqu'un peut m'aider (en espérant que tout effacer pour tout réinstaller fonctionne!)

Merci smile

Hors ligne

#2583 Le 21/07/2019, à 19:58

Coriandre

Re : Script d'installation pour imprimantes Brother

Bonjour,
Je suis débutante sur Ubuntu (et Linux de manière plus générale) et j'ai utilisé le script Demonipuch pour installer mon imprimante Brother DCP-9010CN. L'imprimante fonctionne impec. Par contre, le scanner refuse de fonctionner. C'est d'autant plus étonnant que lorsque j'avais effectué la même installation sur une version d'Ubuntu sur clé USB bootable, ça fonctionnait parfaitement !!?!! Pourtant lorsque j'exécute la commande brsaneconfig3 -q le scanner est reconnu. Je précise que j'ai effectué l'installation en Wifi, mon imprimante étant reliée à ma Freebox. En fait tout se passe comme si le scanner était correctement installé mais que le logiciel de numérisation ne le trouvait pas. J'ai essayé d'installer SANE. Même problème. J'ai bien le paquet libusb-0.1-4 mais impossible de trouver le libusb-0.1-4i:386
Une petite idée de ce que je pourrais faire pour résoudre le problème ?
Merci d'avance.
Coriandre

Hors ligne

#2584 Le 21/07/2019, à 20:48

ylag

Re : Script d'installation pour imprimantes Brother

Salut,

Coriandre a écrit :

mais impossible de trouver le libusb-0.1-4i:386

Sauf si tu as commis une faute de frappe dans ton commentaire #2583, vérifie le nom du paquet: c'est libusb-0.1-4:i386 et non libusb-0.1-4i:38
...le « : » n'est pas au bon endroit.

A+

Dernière modification par ylag (Le 21/07/2019, à 20:50)

Hors ligne

#2585 Le 22/07/2019, à 21:17

eric63

Re : Script d'installation pour imprimantes Brother

salut
si tu suit le script de la page 1 de ce fil (parce que j'ai remarqué qu'il y avait un script demonipuch tiré de la doc et que j'ai un doute sur sa similitude )
les librairies libusb doivent s'installer automatiquement en 64 ET 32 bits
avec scan4 il n'y a semble t il pas de problème
scan3 par contre c'est un peu la roulette russe pour certain le scanner est reconnu pour d'autre il reste des erreurs pour moi non résolues

Dernière modification par eric63 (Le 22/07/2019, à 21:20)


kdeïste convaincu avec Kubuntu 19.04 - 64 bits + backports = plasma 5.16.3 et KDE framaworks 5.60.0 Qt 5.12.2
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#2586 Le 22/07/2019, à 22:00

ylag

Re : Script d'installation pour imprimantes Brother

@eric63:

Bonsoir,

Merci pour l'info... smile

Ajout:
J'ai aussi essayé celui proposé là: http://demonipuch.free.fr/, qui utilise une interface graphique.
Par contre, l'appareil DCP-J562DW que l'on tentait d'installer ne semblait pas y être référencé.

A+

Dernière modification par ylag (Le 22/07/2019, à 22:19)

Hors ligne

#2587 Le 22/07/2019, à 23:02

eric63

Re : Script d'installation pour imprimantes Brother

je viens de voir ce script demonipuch.free.fr mais il me semble obsolète par rapport au script de la page 1 qui reconnait TOUTES les imprimantes pourvu quelle soit établi par brother version anglaise. et la DCP-J562DW devrait être reconnu elle aussi.
et ce fichier fournit un fichier de controle brprinter-install.log

Dernière modification par eric63 (Le 22/07/2019, à 23:12)


kdeïste convaincu avec Kubuntu 19.04 - 64 bits + backports = plasma 5.16.3 et KDE framaworks 5.60.0 Qt 5.12.2
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#2588 Le 23/07/2019, à 11:57

ylag

Re : Script d'installation pour imprimantes Brother

@eric63:

Bonjour,

Donc, privilégier le script proposé à la page 1.
Merci ! smile

A+

Hors ligne

#2589 Le 27/07/2019, à 15:58

Coriandre

Re : Script d'installation pour imprimantes Brother

Merci de ta réponse Ylag
Non je n'avais pas fait l'erreur que tu me signales dans le script. Par contre, j'avais mal installé le paquet.  Problème résolu. Désormais tout marche.
Encore un grand merci.

ylag a écrit :

Salut,

Coriandre a écrit :

mais impossible de trouver le libusb-0.1-4i:386

Sauf si tu as commis une faute de frappe dans ton commentaire #2583, vérifie le nom du paquet: c'est libusb-0.1-4:i386 et non libusb-0.1-4i:38
...le « : » n'est pas au bon endroit.

A+

Hors ligne

#2590 Le 12/08/2019, à 21:57

breizhat

Re : Script d'installation pour imprimantes Brother

Cubuntu 16.04

https://doc.ubuntu-fr.org/utilisateurs/ … ther#liens

Ca marche impeccable!

Merci demonipuch!:)


------------------------------------------------------
N'utilisez pas sudo, utilisez sumo!

La commande sumo sert à expulser Windows et Apple du cercle sacré!

Hors ligne

#2591 Le 13/08/2019, à 07:50

jibel

Re : Script d'installation pour imprimantes Brother

breizhat a écrit :

Cubuntu 16.04

https://doc.ubuntu-fr.org/utilisateurs/ … ther#liens

Ca marche impeccable!

Merci demonipuch!:)


Enfin , il serait possible que les nouveautés dans wikiUbuntu faites par Demonipuch sont valables pour les versions récentes des OSs libres. Tout dépendra de quelle version avec Ubuntu, Lubuntu, Xubuntu ?  Merci a lui wink

Dernière modification par jibel (Le 13/08/2019, à 07:52)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#2592 Le 18/08/2019, à 11:16

Bob dit l'Âne

Re : Script d'installation pour imprimantes Brother

Bonjour,
Comme ça pourrait servir à quelqu'un, je me permets d'apporter un retour d'expérience concernant 19.04

Après avoir exécuté le script, mon imprimante DCP-750 CW fonctionne en Wifi, mais sur Ubuntu 19.04 (ainsi que sur Ubuntu-MATE 19.04 amd64) , pour que le scanner soit reconnu, que ce soit avec simple-scan ou avec xsane, en réseau wifi, il faut également vérifier en utilisant synaptic la version du paquet  libusb-0.1-4 (userspace USB programming library) installé et installer la version 2:0.1.12-32 disco, si elle ne l'est pas.
smile


DELL G3 17 3779 - 17,3" FHD IPS - Core i5 8300H - RAM 8Go - 1To+128Go SSD - NVIDIA GTX 1050 Ti 4 Go
Ubuntu 18.04.2 LTS («Bionic Beaver »)
Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 16.04 LTS (« Xenial Xerus »)

Hors ligne

#2593 Le 18/08/2019, à 11:58

jibel

Re : Script d'installation pour imprimantes Brother

@Bob dit l'âne
Tes "expérimentations" sont intéressantes d'installer des versions  19.04 qui ne seront valables que pour QQs mois, voire d'années? Alors que la prochaine version la 20.04 LTS (Long Times Support) sera bientôt présente QQpart. Bien vu M'sieur @ +  wink


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#2594 Le 18/08/2019, à 21:46

Bob dit l'Âne

Re : Script d'installation pour imprimantes Brother

@jibel
C'était juste une info à destination des utilisateurs du script intéressés par la démarche, je ne vois pas en quoi d'ailleurs, installer une version 19.04 serait un sacrilège et interdite sur ce forum et précisément sur ce fil ! wink Bien vu M'sieur @ +  tongue


DELL G3 17 3779 - 17,3" FHD IPS - Core i5 8300H - RAM 8Go - 1To+128Go SSD - NVIDIA GTX 1050 Ti 4 Go
Ubuntu 18.04.2 LTS («Bionic Beaver »)
Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 16.04 LTS (« Xenial Xerus »)

Hors ligne

#2595 Le 19/08/2019, à 00:47

jibel

Re : Script d'installation pour imprimantes Brother

Bob dit l'Âne a écrit :

@jibel
C'était juste une info à destination des utilisateurs du script intéressés par la démarche, je ne vois pas en quoi d'ailleurs, installer une version 19.04 serait un sacrilège et interdite sur ce forum et précisément sur ce fil ! wink Bien vu M'sieur @ +  tongue

Dac-o-dac, sauf que depuis les années 2010/2011 Demonipuch a tout fait pour que les printers Brother  puisent arriver a fonctionner, bravo et merci a son job. wink
Bizarrement, il n'y avait pas trop d'ennui pour les Brothers, mais depuis quelques modifications dans les OSs libres il y a de nouveaux ennuis wink
Par contre utiliser des OSs "temporaires" style 16.10 ou 18.10 ou 17.10 ou 19.10 sans être LTS que les utilisateurs tout neuf foncent tête baissée sur les OSs de passages. D'ailleurs on se rends compte qu'avec les nouvelles versions des OSs, il y aura toujours des ennuis pour que les printers ne fonctionnent pas très bien, il manque QQchose paquet de ceci de cela... roll
C'est le big  problème! Mais,il y a un autre problème d'ordre d'arrangement financier des fabricants des printers etc.
Il n'y a pas d'interdiction ni de sacrilège, certes pas. Chacun pensera ce qui lui semble bien, c'est tout....  wink

Dernière modification par jibel (Le 19/08/2019, à 00:56)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne